# MotoGP 24 1.0.5
# BID: 1053EA8AD2A50F15

ALL_FPS:
  # r.DynamicRes.FrameTimeBudget (1000/FPS) cutted to 2 decimals
  -
    type: evaluate_write
    address: [MAIN, 0x93E6288, 0]
    value_type: float
    value: ["TruncDec(FRAMETIME_TARGET, 2)", "TruncDec(FRAMETIME_TARGET, 2)"]
  # t.MaxFPS
  -
    type: evaluate_write
    address: [MAIN, 0x9414770, 0]
    value_type: float
    value: [FPS_LOCK_TARGET, FPS_LOCK_TARGET]
  # r.VSync
  -
    type: write
    address: [MAIN, 0x8C137F8, 0]
    value_type: uint32
    value: [0, 0]
  -
    type: block
    what: timing